/*
 *  cmdline.cc
 *
 *  Copyright (C) 2004 Moritz Mhlenhoff
 *
 *  Freebooters is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.

 *  Freebooters is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with Freebooters; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

freebooters_opts parse_cmdline (int argc, char *argv[])
{
  freebooters_opts returnparms;
  returnparms.sound = false;

  for (int i = 1; i < argc; i++)
   {
      if ((strcmp (argv[i], "-ns") == 0) || (strcmp (argv[i], "--no-sound") == 0))
	 parse_mode = hosts;

      else if ((strcmp (argv[i], "-v") == 0) || (strcmp (argv[i], "--version") == 0))
      {
         cout << "Freebooters v 0.1.1" << endl;
      }
      
      else if ((strcmp (argv[i], "-h") == 0) || (strcmp (argv[i], "--help") == 0))
      {
         cout << "freebooters synopsis:" << endl;
         cout << "-ns, --no-sound           : Disable sound" << endl;
         cout << "-v, --version             : Show version number" << endl;
         cout << "-h, --help                : Show this help" << endl;
      }
   }
  return returnparms;
}
