#include <vector>
#include <SDL.h>
#include <SDL_image.h>
#include "splash.h"
#include "combatant.h"

class Shots
{
  struct shot {
    int x;
    int y;
    int h;
    int origin_x;
    int origin_y;
    float origin_a;
    int firepower;
    int airtime;
  };
  SDL_Rect rect;

 public:
  std::vector<shot> shots;
  std::vector<SDL_Surface*> balls;

  Shots();
  ~Shots();
  void addShot(Combatant*);
  void drawShots(SDL_Surface*);
  void clear();
  void unload();
  bool isDead(Combatant*);
  bool hitobject(float,float);
  std::string getShots();
  Splash splashes;
};










