#include <SDL_mixer.h>
#include <iostream>
#include "nutship.h"
#include "player.h"

class Combatant {
 public:
  int firepower,deathcounter;
  Uint32 lastshot_time;
  int explosion_frame;
  NutShip* ship;
  Player* player;
  bool right; // right or left player

  Mix_Chunk *explode_sound;
  Mix_Chunk *shot;
  SDL_Surface* explosion;
  Combatant(Player*,bool);
  void setcolor();
  void draw_firepower(SDL_Surface*);
  void explode(SDL_Surface*);
  void unload();
};




