#include "math.h"
#define PI 3.14159265
#include "sprite.h"
void send_cmd(int filedes, std::string command);

class NutShip : public Sprite
{
 public:
  NutShip(SDL_Surface* image_, int x, int y, int w = 0, int h = 0);
  NutShip(std::string filename, int x, int y, int w = 0, int h = 0);
  NutShip(std::vector< std::vector<std::string> > filename, int x, int y, int w = 0, int h = 0, int a=0, int m=4, int r=-1, int g=-1, int b=-1);
  ~NutShip();
   
  void setcolor();
  void setcolbyname(std::string);
  void getcolrgb(std::string,int*,int*,int*);
  std::string name;
  int r,g,b,ammo,shield;


  void travel(int max_x, int max_y, int windstrength, int winddirection, NutShip* other);
  void speed_modify(int v);
  void canvas_modify(int v);
  void move(int x, int y);
  void move_to(int x, int y);
  int speed() const;
  bool collides(int groesse, int x, int y);
  int get_x();
  int get_y();
  int get_a();
  bool collideblock(int x, int y, int w, int h);

  float floatx;
  float floaty;

protected:
   int speed_;
   int sail_;
   int orig_x;
   int orig_y;
   int orig_angle;
   int orig_boom;

   int current_boom;
   float coasting_speed;


};








